> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyzr.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get RAG configuration

### Description

Retrieves the configuration of a specific RAG (Retrieval-Augmented Generation) instance using its unique ID.

### Endpoint

**GET** `/v3/rag/{config_id}/`

### Base URL

`https://rag-dev.test.studio.lyzr.ai`

### Authentication

* Requires API Key (`x-api-key`) in the request header.

### Path Parameters

| Parameter   | Type   | Required | Description                          |
| ----------- | ------ | -------- | ------------------------------------ |
| `config_id` | string | Yes      | Unique identifier of the RAG config. |

### Request Example (cURL)

```bash theme={null}
curl -X GET "https://rag-dev.test.studio.lyzr.ai/v3/rag/8544/" \
-H "accept: application/json" \
-H "x-api-key: sk-default-Bk19s6ZUGIBoBkJNdkJ8YfcPLwULRXcH"
```

### Response

#### 200 - Successful Response

```json theme={null}
{
  "id": "string",
  "user_id": "string",
  "llm_credential_id": "string",
  "embedding_credential_id": "string",
  "vector_db_credential_id": "string",
  "description": "",
  "collection_name": "string",
  "llm_model": "string",
  "embedding_model": "string",
  "vector_store_provider": "string",
  "semantic_data_model": false,
  "meta_data": {}
}
```

#### 403 - Invalid Permission

```json theme={null}
{
  "detail": "Invalid Permission"
}
```

#### 422 - Validation Error

```json theme={null}
{
  "detail": [
    {
      "loc": ["string", 0],
      "msg": "string",
      "type": "string"
    }
  ]
}
```


## OpenAPI

````yaml get /rag/{config_id}/
openapi: 3.0.3
info:
  title: Get RAG Config
  version: 1.0.0
servers:
  - url: https://rag-prod.studio.lyzr.ai/v3
security: []
paths:
  /rag/{config_id}/:
    get:
      summary: Get Rag Config
      description: Retrieves the configuration of a specific RAG instance by ID.
      parameters:
        - name: config_id
          in: path
          required: true
          schema:
            type: string
          description: The unique ID of the RAG configuration to retrieve.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  user_id:
                    type: string
                  llm_credential_id:
                    type: string
                  embedding_credential_id:
                    type: string
                  vector_db_credential_id:
                    type: string
                  description:
                    type: string
                  collection_name:
                    type: string
                  llm_model:
                    type: string
                  embedding_model:
                    type: string
                  vector_store_provider:
                    type: string
                  semantic_data_model:
                    type: boolean
                  meta_data:
                    type: object
        '403':
          description: Forbidden - Invalid Permission
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: Invalid Permission
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                          items:
                            oneOf:
                              - type: string
                              - type: integer
                        msg:
                          type: string
                        type:
                          type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````